/**
created by Marc Menghin 2006-03-09

**/
 
var LEVEL1 = [ 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320,
               320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 153, 320,
               320, 150, 320, 320, 100, 100, 100, 100, 100, 100, 320, 320, 320, 320, 320, 100, 100, 320, 100, 320,
               320, 100, 100, 320, 320, 320, 320, 100, 100, 100, 100, 100, 100, 100, 320, 100, 320, 320, 100, 320,
               320, 100, 100, 100, 100, 100, 100, 100, 320, 320, 320, 100, 320, 100, 100, 100, 320, 100, 100, 320,
               320, 320, 320, 320, 100, 320, 320, 320, 320, 100, 100, 100, 320, 320, 320, 100, 320, 100, 320, 320,
               320, 100, 100, 100, 100, 320, 320, 320, 100, 100, 320, 100, 320, 100, 100, 100, 100, 100, 100, 320,
               320, 100, 100, 100, 100, 320, 320, 320, 100, 100, 320, 100, 320, 320, 320, 320, 320, 320, 100, 320,
               320, 320, 320, 100, 320, 320, 320, 320, 100, 100, 320, 100, 100, 100, 100, 320, 100, 100, 100, 320,
               320, 100, 320, 100, 320, 100, 100, 320, 100, 320, 320, 100, 100, 320, 100, 100, 100, 320, 100, 320,
               320, 100, 320, 100, 320, 100, 100, 320, 100, 320, 100, 100, 320, 320, 320, 320, 320, 320, 100, 320,
               320, 100, 320, 100, 320, 320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 320,
               320, 152, 320, 100, 100, 320, 100, 320, 320, 320, 320, 320, 320, 320, 100, 320, 320, 320, 100, 320,
               320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 151, 320,
               320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320
];

var LEVEL2 = [ 321, 321, 321, 321, 321, 321, 321, 321, 321, 321, 321, 321, 321, 321, 321, 321, 321, 321, 321, 321,
               321, 150, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 153, 321,
               321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 321,
               321, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 321,
               321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 321,
               321, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 321,
               321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 321,
               321, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 321,
               321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 321,
               321, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 321,
               321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 321,
               321, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 321,
               321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 101, 321, 321,
               321, 152, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 151, 321,
               321, 321, 321, 321, 321, 321, 321, 321, 321, 321, 321, 321, 321, 321, 321, 321, 321, 321, 321, 321
];

var LEVEL3 = [ 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320,
               320, 150, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 153, 320,
               320, 100, 320, 320, 320, 320, 100, 320, 100, 100, 320, 100, 320, 100, 100, 100, 100, 320, 100, 320,
               320, 100, 320, 100, 100, 100, 100, 320, 100, 100, 320, 100, 320, 320, 100, 100, 100, 320, 100, 320,
               320, 100, 320, 100, 100, 100, 100, 320, 100, 100, 320, 100, 320, 320, 100, 100, 100, 320, 100, 320,
               320, 100, 320, 320, 320, 100, 100, 320, 100, 100, 320, 100, 320, 100, 320, 100, 100, 320, 100, 320,
               320, 100, 320, 100, 100, 100, 100, 320, 100, 100, 320, 100, 320, 100, 320, 100, 100, 320, 100, 320,
               320, 100, 320, 100, 100, 100, 100, 320, 100, 100, 320, 100, 320, 100, 100, 320, 100, 320, 100, 320,
               320, 100, 320, 100, 100, 100, 100, 320, 100, 100, 320, 100, 320, 100, 100, 320, 100, 320, 100, 320,
               320, 100, 320, 100, 100, 100, 100, 320, 100, 100, 320, 100, 320, 100, 100, 100, 320, 320, 100, 320,
               320, 100, 320, 100, 100, 100, 100, 320, 100, 100, 320, 100, 320, 100, 100, 100, 320, 320, 100, 320,
               320, 100, 320, 100, 100, 100, 100, 320, 100, 100, 320, 100, 320, 100, 100, 100, 100, 320, 100, 320,
               320, 100, 320, 100, 100, 100, 100, 320, 320, 320, 320, 100, 320, 100, 100, 100, 100, 320, 100, 320,
               320, 152, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 151, 320,
               320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320
];

var LEVEL4 = [ 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320,
               320, 150, 100, 100, 320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 320, 100, 100, 153, 320,
               320, 320, 320, 100, 320, 100, 320, 320, 320, 320, 320, 320, 100, 320, 100, 320, 100, 320, 320, 320,
               320, 100, 100, 100, 320, 100, 100, 100, 100, 320, 100, 100, 100, 100, 100, 320, 100, 100, 100, 320,
               320, 100, 320, 320, 320, 100, 320, 320, 100, 320, 100, 320, 320, 100, 320, 320, 320, 320, 100, 320,
               320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 320,
               320, 100, 320, 320, 320, 100, 100, 100, 100, 320, 320, 100, 100, 100, 100, 320, 100, 320, 320, 320,
               320, 100, 100, 100, 320, 320, 320, 100, 320, 320, 320, 320, 100, 320, 320, 320, 100, 100, 100, 320,
               320, 320, 320, 100, 320, 100, 100, 100, 100, 320, 320, 100, 100, 100, 100, 320, 320, 320, 100, 320,
               320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 320,
               320, 100, 320, 320, 320, 100, 320, 320, 100, 320, 100, 320, 320, 100, 320, 320, 320, 320, 100, 320,
               320, 100, 100, 100, 320, 100, 100, 100, 100, 320, 100, 100, 100, 100, 100, 320, 100, 100, 100, 320,
               320, 320, 320, 100, 320, 100, 320, 320, 320, 320, 320, 320, 100, 320, 100, 320, 100, 320, 320, 320,
               320, 152, 100, 100, 320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 320, 100, 100, 151, 320,
               320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320
];

var LEVEL5 = [ 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320,
               320, 150, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 153, 320,
               320, 100, 320, 320, 320, 100, 100, 320, 100, 100, 320, 100, 100, 320, 100, 320, 100, 320, 100, 320,
               320, 100, 100, 320, 100, 100, 320, 100, 320, 100, 320, 320, 100, 320, 100, 320, 100, 320, 100, 320,
               320, 100, 100, 320, 100, 100, 320, 320, 320, 100, 320, 320, 320, 320, 100, 320, 320, 100, 100, 320,
               320, 100, 100, 320, 100, 100, 320, 100, 320, 100, 320, 100, 320, 320, 100, 320, 100, 320, 100, 320,
               320, 100, 100, 320, 100, 100, 320, 100, 320, 100, 320, 100, 100, 320, 100, 320, 100, 320, 100, 320,
               320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 320,
               320, 100, 320, 100, 100, 100, 320, 100, 100, 320, 100, 100, 320, 320, 100, 100, 320, 320, 100, 320,
               320, 100, 320, 100, 320, 100, 320, 100, 320, 100, 320, 100, 320, 100, 320, 100, 320, 100, 100, 320,
               320, 100, 320, 100, 320, 100, 320, 100, 320, 320, 320, 100, 320, 320, 100, 100, 320, 320, 100, 320,
               320, 100, 100, 320, 100, 320, 100, 100, 320, 100, 320, 100, 320, 100, 320, 100, 100, 320, 100, 320,
               320, 100, 100, 320, 100, 320, 100, 100, 320, 100, 320, 100, 320, 100, 320, 100, 320, 320, 100, 320,
               320, 152, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 151, 320,
               320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320
];

var LEVEL6 = [ 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320,
               320, 150, 100, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 100, 153, 320,
               320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 320,
               320, 320, 100, 320, 320, 320, 320, 320, 100, 320, 320, 320, 320, 320, 100, 320, 320, 100, 320, 320,
               320, 320, 100, 320, 100, 100, 100, 320, 100, 320, 100, 100, 100, 320, 100, 320, 320, 100, 320, 320,
               320, 320, 100, 320, 320, 100, 320, 320, 100, 320, 320, 100, 320, 320, 100, 320, 320, 100, 320, 320,
               320, 320, 100, 320, 100, 100, 100, 320, 100, 320, 100, 100, 100, 320, 100, 320, 320, 100, 320, 320,
               320, 320, 100, 320, 100, 100, 100, 320, 100, 320, 100, 100, 100, 320, 100, 320, 320, 100, 320, 320,
               320, 320, 100, 320, 100, 320, 100, 320, 100, 320, 100, 320, 100, 320, 100, 320, 320, 100, 320, 320,
               320, 320, 100, 320, 100, 320, 100, 320, 100, 320, 100, 320, 100, 320, 100, 100, 100, 100, 320, 320,
               320, 320, 100, 320, 100, 100, 100, 320, 100, 320, 100, 100, 100, 320, 100, 320, 320, 100, 320, 320,
               320, 320, 100, 320, 320, 320, 320, 320, 100, 320, 320, 320, 320, 320, 100, 320, 320, 100, 320, 320,
               320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 320,
               320, 152, 100, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 100, 151, 320,
               320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320
];


var LEVEL_EMPTY = [ 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320,
               320, 150, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 153, 320,
               320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 320,
               320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 320,
               320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 320,
               320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 320,
               320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 320,
               320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 320,
               320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 320,
               320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 320,
               320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 320,
               320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 320,
               320, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 320,
               320, 152, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 151, 320,
               320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320, 320
];

var LEVELS = [LEVEL1,
              LEVEL2,
              LEVEL3,
              LEVEL4,
              LEVEL5,
              LEVEL6
];